<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="fisiometria2">
        <h2 class="jh-entity-heading" data-cy="fisiometria2DetailsHeading">
          <span v-text="$t('gatewayApp.diademaFisiometria2.detail.title')">Fisiometria2</span> {{ fisiometria2.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.diademaFisiometria2.timeInstant')">Time Instant</span>
          </dt>
          <dd>
            <span v-if="fisiometria2.timeInstant">{{ $d(Date.parse(fisiometria2.timeInstant), 'long') }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.diademaFisiometria2.meditacion')">Meditacion</span>
          </dt>
          <dd>
            <span>{{ fisiometria2.meditacion }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.diademaFisiometria2.attention')">Attention</span>
          </dt>
          <dd>
            <span>{{ fisiometria2.attention }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.diademaFisiometria2.delta')">Delta</span>
          </dt>
          <dd>
            <span>{{ fisiometria2.delta }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.diademaFisiometria2.theta')">Theta</span>
          </dt>
          <dd>
            <span>{{ fisiometria2.theta }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.diademaFisiometria2.lowAlpha')">Low Alpha</span>
          </dt>
          <dd>
            <span>{{ fisiometria2.lowAlpha }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.diademaFisiometria2.highAlpha')">High Alpha</span>
          </dt>
          <dd>
            <span>{{ fisiometria2.highAlpha }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.diademaFisiometria2.lowBeta')">Low Beta</span>
          </dt>
          <dd>
            <span>{{ fisiometria2.lowBeta }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.diademaFisiometria2.highBeta')">High Beta</span>
          </dt>
          <dd>
            <span>{{ fisiometria2.highBeta }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.diademaFisiometria2.lowGamma')">Low Gamma</span>
          </dt>
          <dd>
            <span>{{ fisiometria2.lowGamma }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.diademaFisiometria2.midGamma')">Mid Gamma</span>
          </dt>
          <dd>
            <span>{{ fisiometria2.midGamma }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.diademaFisiometria2.pulso')">Pulso</span>
          </dt>
          <dd>
            <span>{{ fisiometria2.pulso }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.diademaFisiometria2.respiracion')">Respiracion</span>
          </dt>
          <dd>
            <span>{{ fisiometria2.respiracion }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.diademaFisiometria2.acelerometro')">Acelerometro</span>
          </dt>
          <dd>
            <span>{{ fisiometria2.acelerometro }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.diademaFisiometria2.estadoFuncional')">Estado Funcional</span>
          </dt>
          <dd>
            <span>{{ fisiometria2.estadoFuncional }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.diademaFisiometria2.user')">User</span>
          </dt>
          <dd>
            {{ fisiometria2.user ? fisiometria2.user.login : '' }}
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link
          v-if="fisiometria2.id"
          :to="{ name: 'Fisiometria2Edit', params: { fisiometria2Id: fisiometria2.id } }"
          custom
          v-slot="{ navigate }"
        >
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./fisiometria-2-details.component.ts"></script>
